--type=vue support in RC/Final?

#1

Greetings,

I’m new to Ionic and looking at using it with Vue. Been lurking and waiting for the 4.0 Final version which to my understanding (correct me if I’m wrong) will include support for --type=vue (instead of angular). I have messed around with the various work-arounds etc but would prefer to use Ionic in a standard way with Vue.

As of v4.0.0-rc.0:

cli packages: (/usr/local/lib/node_modules)

   @ionic/cli-utils  : 2.0.0-rc.0
   ionic (Ionic CLI) : 4.0.0-rc.0

System:

   NodeJS : v10.15.0
   npm    : 6.4.1
   OS     : macOS High Sierra

…there is still no direct Vue support (only angular).

Will direct Vue support be included for 4.0 Final?

Final question: I had 4.6.0 installed then specifically installed 4.0.0-rc.0 to see if --type=vue was available - how is 4.6.0 different to 4.0.0-rc.0?

Thanks

1 Like